Node('ah2550.addon.sea.psi.ch',
     'Andeen Hagerlin 2550 Capacitance Bridge using SEA',
)

Mod('sea_addons',
    'frappy_psi.sea.SeaClient',
    'SEA connection to mbe_ah2550',
    config='ah2550.addon',
    export=False,
    service='addons',
)

Mod('ah',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    sea_object='cap',
    extra_modules = ['cap', 'loss']
)

Mod('cap',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='ah.cap',
    value=Param(fmtstr='%.12g'),
)

Mod('loss',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='ah.loss',
)

Mod('capslope',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    sea_object='capslope',
)
